package com.jxy.order.enums;

/**
 * @Description 币价查询范围条件
 * @Date 2022/5/20 11:15
 * @Author 杜懿
 */
public enum OrderType {

    MONTHLY_USER(0,"月度L3"),
    ANNUAL_USER(1,"年度L3"),
    VIP_ANNUAL_USER(2,"年度L4");

    private final int code;
    private final String type;

    OrderType(int code, String type)
    {
        this.code = code;
        this.type = type;
    }

    public int getCode()
    {
        return code;
    }

    public String getType()
    {
        return type;
    }

    public static String getTypeByCode(int code){
        for (OrderType o : OrderType.values()) {
            if(o.getCode()==code){
                return o.getType();
            }
        }
        return "";
    }


}
